# Class MultipleGradientPaint

java.lang.Object
com.codename1.ui.MultipleGradientPaint

All Implemented Interfaces:
  `Paint`

Direct Known Subclasses:
  `LinearGradientPaint`

public abstract class MultipleGradientPaint extends Object implements Paint
A base class for Paints that use multiple gradients.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `MultipleGradientPaint.ColorSpaceType`
  Colors spaces for gradients.
  `static enum`
  `MultipleGradientPaint.CycleMethod`
  Cycle methods for gradients.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MultipleGradientPaint(float[] fractions, int[] colors, MultipleGradientPaint.CycleMethod cycleMethod, MultipleGradientPaint.ColorSpaceType colorSpace, Transform gradientTransform)`
  Creates a new MultipleGradient paint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getColors()`
  Gets the colors used in the gradient.
  `MultipleGradientPaint.ColorSpaceType`
  `getColorSpace()`
  Gets the color space for the gradient.
  `MultipleGradientPaint.CycleMethod`
  `getCycleMethod()`
  Gets the cycle method.
  `float[]`
  `getFractions()`
  Gets the fractional positions for the color gradients.
  `Transform`
  `getTransform()`
  Gets the gradient transform.
  `int`
  `getTransparency()`
  Gets the transparency for the gradient.
  `void`
  `setColors(int[] colors)`
  Sets the colors used in the gradient.
  `void`
  `setColorSpace(MultipleGradientPaint.ColorSpaceType colorSpaceType)`
  Sets the color space for the gradient.
  `void`
  `setCycleMethod(MultipleGradientPaint.CycleMethod cycleMethod)`
  Sets the cycle method.
  `void`
  `setFractions(float[] fractions)`
  Sets the fractional positions of the color gradients.
  `void`
  `setTransform(Transform transform)`
  Sets the transform for the gradient.
  `void`
  `setTransparency(int transparency)`
  Sets the transparency for the gradient.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Paint

  `paint, paint`

- ## Constructor Details

  - ### MultipleGradientPaint

    protected MultipleGradientPaint(float[] fractions, int[] colors, MultipleGradientPaint.CycleMethod cycleMethod, MultipleGradientPaint.ColorSpaceType colorSpace, Transform gradientTransform)

    Creates a new MultipleGradient paint

    ###### Parameters

    - `fractions`: The fractions representing positions where the corresponding color starts. Values between 0 and 1.

    - `colors`: The colors that are part of the gradient. Should have same number of colors as fractions.

    - `cycleMethod`: The cycle method for the gradient.

    - `colorSpace`: The color space for the gradient.

    - `gradientTransform`: Transform for the gradient. Not used.

- ## Method Details

  - ### getColorSpace

    public MultipleGradientPaint.ColorSpaceType getColorSpace()

    Gets the color space for the gradient.

    ###### Returns

    the colorSpaceType

  - ### setColorSpace

    public void setColorSpace(MultipleGradientPaint.ColorSpaceType colorSpaceType)

    Sets the color space for the gradient.

    ###### Parameters

    - `colorSpaceType`: the colorSpaceType to set

  - ### getColors

    public int[] getColors()

    Gets the colors used in the gradient.

    ###### Returns

    the colors

  - ### setColors

    public void setColors(int[] colors)

    Sets the colors used in the gradient.

    ###### Parameters

    - `colors`: the colors to set

  - ### getCycleMethod

    public MultipleGradientPaint.CycleMethod getCycleMethod()

    Gets the cycle method.

    ###### Returns

    the cycleMethod

  - ### setCycleMethod

    public void setCycleMethod(MultipleGradientPaint.CycleMethod cycleMethod)

    Sets the cycle method.

    ###### Parameters

    - `cycleMethod`: the cycleMethod to set

  - ### getFractions

    public float[] getFractions()

    Gets the fractional positions for the color gradients.

    ###### Returns

    the fractions

  - ### setFractions

    public void setFractions(float[] fractions)

    Sets the fractional positions of the color gradients.

    ###### Parameters

    - `fractions`: the fractions to set

  - ### getTransform

    public Transform getTransform()

    Gets the gradient transform. Not used currently.

    ###### Returns

    the transform

  - ### setTransform

    public void setTransform(Transform transform)

    Sets the transform for the gradient. NOt used currently.

    ###### Parameters

    - `transform`: the transform to set

  - ### getTransparency

    public int getTransparency()

    Gets the transparency for the gradient.

    ###### Returns

    the transparency

  - ### setTransparency

    public void setTransparency(int transparency)

    Sets the transparency for the gradient.

    ###### Parameters

    - `transparency`: the transparency to set